package com.cim.idm.mwmsextend.transport.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class TransportCommandHistory extends FieldAccessor implements HistoryDataInfo<TransportCommandHistoryKey>{
	
	private TransportCommandHistoryKey key;
	
	private String state;
	
	private String transportCommandDetailType;
	
	private String destination;
	
	private String invoiceNo;
	
	private String packingGroupQty;
	
	private long priority;
	
	//Event 
	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	private String reasonCodeType;
	private String reasonCode;

	@Override
	public TransportCommandHistoryKey getKey() {
		return key;
	}

	@Override
	public void setKey(TransportCommandHistoryKey keyInfo) {
		this.key = keyInfo;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getTransportCommandDetailType() {
		return transportCommandDetailType;
	}

	public void setTransportCommandDetailType(String transportCommandDetailType) {
		this.transportCommandDetailType = transportCommandDetailType;
	}

	public String getDestination() {
		return destination;
	}

	public void setDestination(String destination) {
		this.destination = destination;
	}

	public String getInvoiceNo() {
		return invoiceNo;
	}

	public void setInvoiceNo(String invoiceNo) {
		this.invoiceNo = invoiceNo;
	}

	public String getPackingGroupQty() {
		return packingGroupQty;
	}

	public void setPackingGroupQty(String packingGroupQty) {
		this.packingGroupQty = packingGroupQty;
	}

	public long getPriority() {
		return priority;
	}

	public void setPriority(long priority) {
		this.priority = priority;
	}

	public String getEventName() {
		return eventName;
	}

	public void setEventName(String eventName) {
		this.eventName = eventName;
	}

	public Timestamp getEventTime() {
		return eventTime;
	}

	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}

	public String getEventUser() {
		return eventUser;
	}

	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}

	public String getEventComment() {
		return eventComment;
	}

	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}
	
}
